'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var React = _interopRequireWildcard(_react);

var _rcSelect = require('rc-select');

var _rcSelect2 = _interopRequireDefault(_rcSelect);

var _draftJs = require('draft-js');

var _utils = require('../utils');

var _rcEditorUtils = require('rc-editor-utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj["default"] = obj; return newObj; } }

var Option = _rcSelect2["default"].Option;
var sizeArray = [12, 14, 18, 24];
var FontSize = {
    constructor: function constructor() {
        var callbacks = {
            getEditorState: _utils.noop,
            setEditorState: _utils.noop
        };
        var applyEntity = (0, _utils.getApplyEntityFunc)(callbacks);
        function changeSelect(fontSize) {
            applyEntity('fontSize', { fontSize: fontSize });
        }
        return {
            name: 'fontSize',
            callbacks: callbacks,
            decorators: [{
                strategy: (0, _utils.findEntities)('fontSize'),
                component: function component(props) {
                    var entityData = _draftJs.Entity.get(props.entityKey).getData();
                    var fontSize = entityData.fontSize;

                    return React.createElement(
                        'span',
                        { style: { fontSize: fontSize } },
                        props.children
                    );
                }
            }],
            component: function component(props) {
                var editorState = callbacks.getEditorState();
                var currentEntityKey = (0, _rcEditorUtils.getCurrentEntity)(editorState);
                var entityData = currentEntityKey ? _draftJs.Entity.get(currentEntityKey).getData() : null;
                var fontSize = null;
                if (entityData) {
                    fontSize = entityData.fontSize;
                }
                var options = sizeArray.map(function (item) {
                    return React.createElement(
                        Option,
                        { key: item, value: item, style: { fontSize: item } },
                        item,
                        'px'
                    );
                });
                return React.createElement(
                    _rcSelect2["default"],
                    { onChange: changeSelect, style: { width: 80 }, value: fontSize },
                    options
                );
            }
        };
    }
};
exports["default"] = FontSize;
module.exports = exports['default'];